<?php
include_once '../sys/fnc.php';
if (!isset($user)) {
header('location: /');
exit;
}
$title = 'Реклама';
include_once '../sys/head.php';
$max_day = 30;
$cena = 7;

if(isset($_POST['url']) && isset($_POST['name']) && isset($_POST['day']))
{
$url=html($_POST['url']);
$name=html($_POST['name']);
$day=abs(intval($_POST['day']));
$work = time()+$day*86400;
if ($cena*$day >= $user->wmr + 0.01)
{
echo '<div class="err">Ошибка! У Вас недостаточно средств покупки рекламы!</div>';
echo '<div class="err">Вам нехватает '.sprintf("%.02f", $cena*$day-$user->wmr).' рублей.</div>';
}
else
{
mysql_query("UPDATE `user` SET `wmr` = '".($user->wmr-$cena*$day)."' WHERE `id` = '$user->id' LIMIT 1");
mysql_query("INSERT INTO `rekl` SET `id_user` = '$user->id', `url` = '$url', `name`='$name', `time` = '".time()."', `work` = '$work'");
header("Location: /scripts/rekl.php");
}
}
elseif (isset($_GET['del']))
{
$del=intval($_GET['del']);
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `rekl` WHERE `id_user` = '$user->id' AND `id` = '$del'"), 0)>0)
{
if(isset($_POST['yes']))
{
mysql_query("DELETE FROM `rekl` WHERE `id` = '$del'");
header("Location: /scripts/rekl.php");
}
elseif(isset($_POST['no'])) header("Location: /scripts/rekl.php");
else
{
echo "<div class='post'><form method='post' action='?del=$del'>Удалить рекламу?<br>";
echo '<input type="submit" name="yes" value="Удалить"/>';
echo '<input type="submit" name="no" value="Отмена"/>';
echo '</form></div>';
}
}
else header("Location: /");
}
elseif(isset($_GET['add']))
{
echo'<font color="red">Ссылка должна быть с http://</font><div class="main"><form action="" method="post">
URL сайта[50]:<br/><input name="url" type="text" maxlength="50" value="http://"/><br/>
Название ссылки[128]:<br/><input name="name" type="text" maxlength="128"/><br/>
Количество дней[1-'.$max_day.']:<br/><input name="day" type="text" maxlength="3" size="5" value="7"/><br/>';
echo '</div><div class="main">
Стоимость размещение рекламы в день: '.$cena.' руб.<br/>';
echo '<br/>';
echo '<input type="submit" name="submit" value="Добавить"/></form>';
}
elseif(isset($_GET['time']))
{
$time_id=intval($_GET['time']);
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `rekl` WHERE `id_user` = '$user->id' AND `id` = '$time_id'"), 0)>0)
{
if(isset($_POST['day']))
{
$day=abs(intval($_POST['day']));
$work = $day*86400;
if ($cena*$day >= $user->wmr + 0.01)
{
echo '<div class="err">Ошибка! У Вас недостаточно средств покупки рекламы!</div>';
echo '<div class="err">Вам нехватает '.sprintf("%.02f", $cena*$day-$user->wmr).' рублей.</div>';
}
else
{
mysql_query("UPDATE `user` SET `wmr` = '".($user->wmr-$cena*$day)."' WHERE `id` = '$user->id' LIMIT 1");
$rekl = mysql_fetch_assoc(mysql_query("SELECT * FROM `rekl` WHERE `id` = '".$time_id."'"));
mysql_query("UPDATE `rekl` SET `work` = '".($rekl['work']>time()?"".($rekl['work']+$work)."":"".(time()+$work)."")."' WHERE `id` = '$rekl[id]'");
header("Location: /scripts/rekl.php");
}
}
else
{
echo'<font color="red">Ссылка должна быть с http://</font><div class="main"><form action="?time='.$time_id.'" method="post">
Количество дней[1-'.$max_day.']:<br/><input name="day" type="text" maxlength="3" size="5" value="7"/><br/>';
echo '</div><div class="main">Стоимость размещение рекламы в день: '.$cena.' руб.<br/>';
echo '<br/>';
echo '<input type="submit" name="submit" value="Продлить"/></form>';
}
}
else header("Location: /");
}
else
{
echo $div->div_razd.' Моя реклама</div>';
$q=mysql_query("SELECT * FROM `rekl` WHERE `id_user` = '$user->id' ORDER BY `time` DESC");
while ($f=mysql_fetch_assoc($q))
{
echo $div->div_menu;
echo '<img src="/style/img/link_g.png"> ';
echo "$f[id]. $f[name] - $f[url] Действует до - ";echo date("H:i d-m-Y",$f[work]);
echo '<br> <a href="/scripts/rekl.php?time='.$f[id].'">Продлить</a> | <a href="/scripts/rekl.php?del='.$f[id].'">Удалить</a>';
echo '</div>';
}
echo $div->div_menu;
echo '<img src="/style/img/link_g.png"> ';
echo '<a href="/scripts/rekl.php?add">Добавить</a>';
echo '</div>';
}
include_once '../sys/foot.php';
?>